/*
 * Copyright (C) 2017 Ole Reglitzki
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General
 * Public License as published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along with this program. If not, see
 * <http://www.gnu.org/licenses/>.
 */

@import "../variables.scss";

body {
  overflow-y: scroll;
  margin: 0;
  background: $body-bg;
  color: $body-fg;
  font-family: sans-serif;
  font-size: 1rem;
  line-height: 1.15;
}

#main {
  margin: 0 $content-padding-x;
}

#main-flex {
  margin: (-$content-padding-y) (-$content-padding-x) 0 (-$content-padding-x);
  display: flex;

  #content {
    padding: 0 $content-padding-x;
  }
}

#main-left {
  padding: $content-padding-y $content-padding-x $content-padding-y ($content-padding-x - $nav-indent);
  background: $nav-bg;
  flex-grow: 0;
  margin-bottom: -$content-padding-y;
}

#main-right {
  flex: 1;
}
